package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag198;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT198Creator;

public class Tag77ECreator extends AbsTagCreate {
    private MT198Creator mt198Creator;

    public Tag77ECreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt198Creator= (MT198Creator) absMTCreator;
    }

    public void creator()
    {
        String tag77EValue = mt198Creator.getProprietaryMessage();
        mt198Creator.set("77E", tag77EValue);
    }
}
